import math


#Indicator function that determines both phases
# x[0] : x-component
# x[1] : y-component
# x[2] : z-component
def indicatorFunction(x):
    # --- replace with your definition of indicatorFunction:
    if (abs(x[1]) > 0.25):
        return 1    #Phase1
    else :
        return 2    #Phase2


########### Options for material phases: #################################
#     1. "isotropic"     2. "orthotropic"      3. "transversely_isotropic"   4. "general_anisotropic"
#########################################################################
## Notation - Parameter input :
# isotropic (Lame parameters) : [mu , lambda]
#         orthotropic         : [E1,E2,E3,G12,G23,G31,nu12,nu13,nu23]
# transversely_isotropic      : [E1,E2,G12,nu12,nu23]
# general_anisotropic         : full compliance matrix C
######################################################################
# --- Number of material phases
Phases=2
#--- Define different material phases:
#- PHASE 1
phase1_type="isotropic"
materialParameters_phase1 = [80, 80]

#- PHASE 2
phase2_type="isotropic"
materialParameters_phase2 = [80, 80]



#--- define prestrain function for each phase
# (also works with non-constant values)
def prestrain_phase1(x):
    return [[1, 0, 0], [0,1,0], [0,0,1]]

def prestrain_phase2(x):
    return [[1, 0, 0], [0,1,0], [0,0,1]]
